
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[AI开发]centOS7.5上基于keras/tensorflow深度学习环境搭建 / 憋错料</title>

    <meta name="description" content="[AI开发]centOS7.5上基于keras/tensorflow深度学习环境搭建 这篇文章详细介绍在centOS7.5上搭建基于keras/tensorflow的深度学习环境,该环境可用于实际生产.本人现在非常熟练linux(Ubuntu/centOS/openSUSE).windows上该环境的搭建 :) 前面三篇博客代码实现均基于该环境(开发或者测试过): [AI开发]Python+Tensorflow打造自己的计算机视觉API服务 [AI开发]基于深度学习的视频多目标跟踪实现 [AI开发]视频多目标跟踪高级版 运行环境 1) centOS 7.5 ,不要安装GUI桌面:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[AI开发]centOS7.5上基于keras/tensorflow深度学习环境搭建</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这篇文章详细介绍在centOS7.5上搭建基于keras/tensorflow的深度学习环境，该环境可用于实际生产。本人现在非常熟练linux(Ubuntu/centOS/openSUSE)、windows上该环境的搭建 :)</p>
<p>前面三篇博客代码实现均基于该环境（开发或者测试过）：</p>
<p><a href="https://www.cnblogs.com/xiaozhi_5638/p/9268715.html" rel="external nofollow noreferrer">[AI开发]Python+Tensorflow打造自己的计算机视觉API服务</a></p>
<p><a href="https://www.cnblogs.com/xiaozhi_5638/p/9376784.html" rel="external nofollow noreferrer">[AI开发]基于深度学习的视频多目标跟踪实现</a></p>
<p><a href="https://www.cnblogs.com/xiaozhi_5638/p/9519665.html" rel="external nofollow noreferrer">[AI开发]视频多目标跟踪高级版</a></p>
<p><strong>运行环境</strong></p>
<p>1)&nbsp;centOS 7.5 ，不要安装GUI桌面；</p>
<p>2) i7八核，GTX 1080 GPU，16G内存。</p>
<p><strong>程序包</strong></p>
<p>1)&nbsp;Python-3.6.5.tgz &nbsp;&nbsp;(Python安装包)</p>
<p>2)&nbsp;screen-4.6.0.tar.gz &nbsp;(screen安装包，忽略系统自带的)</p>
<p>3)&nbsp;tensorflow_gpu-1.9.0-cp36-cp36m-manylinux1_x86_64.whl &nbsp;(tensorflow安装包)</p>
<p>4)&nbsp;cuda_9.0.176_384.81_linux.run &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(cuda安装包)</p>
<p>5)&nbsp;cudnn-9.0-linux-x64-v7.1.tgz &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(cudnn解压包)</p>
<p>6)&nbsp;NVIDIA-Linux-x86_64-384.130.run &nbsp;&nbsp;&nbsp;&nbsp;(nvidia显卡驱动)</p>
<p>常用链接：</p>
<p>https://developer.nvidia.com/cuda-90-download-archive （cuda）<br />https://developer.nvidia.com/rdp/cudnn-archive          （cudnn）<br />https://www.geforce.cn/drivers/results/132524           （显卡驱动）</p>
<p><strong>安装步骤</strong></p>
<p>**安装过程中，设备需要连外网，有一些组件需要在线安装**</p>
<p><strong>&gt;第一步 安装基础库</strong></p>
<p>在命令行终端执行下面三个命令：</p>
<p>sudo yum install openssl-devel -y</p>
<p>sudo yum install bzip2-devel</p>
<p>sudo yum install zlib-devel -y</p>
<p>保证上面三个库安装成功，如果提示已经安装，则忽略。</p>
<p><strong>&gt;第二步 安装python3.6.5</strong></p>
<p>在程序包目录中执行：tar -zvxf Python-3.6.5.tgz，解压Python安装文件；</p>
<p>cd Python-3.6.5进入解压目录；</p>
<p>执行mkdir /usr/python3.6 创建目录；</p>
<p>运行 ./configure --prefix=/usr/python3.6 --enable-shared ，等待；</p>
<p>执行 make 命令，等待；</p>
<p>执行 make install 命令，等待；</p>
<p>执行 ln -s /usr/python3.6/bin/python3 /usr/bin/python3 创建软连接（如果提示已存在，先删除）；</p>
<p>执行 python3 --version，查看输出，如果输出python对应的<strong>版本号为 3.6.5</strong>，则安装成功。</p>
<p><strong>注意：</strong></p>
<p>如果碰到错误信息类似这样 ：error while loading shared libraries: xxxxxxxx: cannot open shared object file: No such file or directory（xxxx为文件名）</p>
<p>那么，进入安装文件夹的lib目录下，找到XXXXXXXX，将其拷贝到/usr/local/lib</p>
<p>cp XXXXXX /usr/local/lib</p>
<p>vi /etc/ld.so.conf</p>
<p>在文件末尾新增加一行 /usr/local/lib</p>
<p>然后执行 ldconfig 命令。</p>
<p>再执行 python3 --version 检查输出的<strong>版本号是否为 3.6.5</strong>。</p>
<p><strong>&gt;第三步 配置pip3</strong></p>
<p>执行ln -s /usr/python3.6/bin/pip3 /usr/bin/pip3 创建软连接（如果提示已存在，先删除）；</p>
<p>执行 pip3 --version 查看pip3的版本号，如果正确输出版本号，则表示pip3安装成功；</p>
<p>cd ~，进入到用户根目录，执行mkdir .pip创建.pip目录，cd到该目录；</p>
<p>执行 vi pip.conf 创建文件；</p>
<p>在文件中输入：</p>
<p>[global]</p>
<p>trusted-host=mirrors.aliyun.com</p>
<p>index-url=http://mirrors.aliyun.com/pypi/simple/</p>
<p>保存退出。</p>
<p><strong>&gt;第四步 安装tensorflow/keras等相关依赖组件</strong></p>
<p>在程序包目录下</p>
<p>执行 pip3 install tensorflow_gpu-1.9.0-cp36-cp36m-manylinux1_x86_64.whl，安装tensorflow等相关依赖组件（一些组件需要联网）；</p>
<p>执行 pip3 install keras ，安装keras等相关依赖组件（需要联网）；</p>
<p>执行 pip3 install Pillow，安装Pillow（需要联网）；</p>
<p>执行 pip3 install matplotlib，安装matplotlib（需要联网）；</p>
<p><strong>&gt;第五步 安装cuda</strong></p>
<p>在程序包目录下</p>
<p>===============================安装cuda前必读============================</p>
<p>注意：</p>
<p>1）安装开始，会显示一大段license，在显示license到1%的时候，按q结束，不然会一直让你读完；</p>
<p>2）除了在&ldquo;是否安装graphics driver&rdquo;的步骤选择No之外，其余都选Yes；</p>
<p>3）cuda以及sample的安装路径都保持默认不变（直接回车即可）。</p>
<p>=====================================================================</p>
<p>执行sh ./cuda_9.0.176_384.81_linux.run ，按照提示完成cuda的安装；</p>
<p>执行 vi ~/.bash_profile，打开文件；</p>
<p>在文件末尾增加：</p>
<p>export PATH=/usr/local/cuda-9.0/bin:$PATH&nbsp;&nbsp;<br />export LD_LIBRARY_PATH=/usr/local/cuda-9.0/lib64:$LD_LIBRARY_PATH</p>
<p>保存退出。</p>
<p>执行 source ~/.bash_profile，使文件生效；</p>
<p>执行 nvcc --version 查看cuda是否安装成功，如果正常输出信息，则表示安装成功。</p>
<p><strong>&gt;第六步 安装cudnn</strong></p>
<p>在程序包目录下</p>
<p>执行 tar -zvxf cudnn-9.0-linux-x64-v7.1.tgz ，解压文件；</p>
<p>cd cuda 进入到解压目录；</p>
<p>执行</p>
<p>cp lib64/lib* /usr/local/cuda/lib64/</p>
<p>cp include/cudnn.h /usr/local/cuda/include/</p>
<p>拷贝文件；</p>
<p>执行</p>
<p>cd /usr/local/cuda/lib64/</p>
<p>chmod +r libcudnn.so.7.1.4</p>
<p>ln -sf libcudnn.so.7.1.4 libcudnn.so.7</p>
<p>ln -sf libcudnn.so.7 libcudnn.so</p>
<p>ldconfig</p>
<p>**cudnn是cuda在深度学习中的一个扩展，只需要拷贝.h和lib到cuda的安装目录即可**</p>
<p><strong>&gt;第七步 安装Nvidia显卡驱动</strong></p>
<p>在程序包目录下</p>
<p>执行 sh ./NVIDIA-Linux-x86_64-384.130.run，等待安装结束；</p>
<p>执行 nvidia-smi 查看显卡信息，如果能正常显示GPU驱动和其他信息，表明显卡驱动安装成功。</p>
<p><strong>&gt;第八步 验证Python算法环境</strong></p>
<p>在python脚本目录下</p>
<p>执行 python3 test.py，如果不报错，并且有模型数据显示出来，说明算法环境部署成功。</p>

<p>原文地址：https://www.cnblogs.com/xiaozhi_5638/p/9553916.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 05:10:46 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/mil/" title="mil">mil</a>, <a href="https://www.biecuoliao.com/tag/tensor/" title="tensor">tensor</a>, <a href="https://www.biecuoliao.com/tag/ble/" title="ble">ble</a>, <a href="https://www.biecuoliao.com/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.biecuoliao.com/tag/glob/" title="glob">glob</a>, <a href="https://www.biecuoliao.com/tag/soft/" title="soft">soft</a>, <a href="https://www.biecuoliao.com/tag/%e6%89%93%e5%bc%80/" title="打开">打开</a>, <a href="https://www.biecuoliao.com/tag/tar-gz/" title="tar&period;gz">tar&period;gz</a>, <a href="https://www.biecuoliao.com/tag/aliyun/" title="aliyun">aliyun</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[AI开发]centOS7.5上基于keras/tensorflow深度学习环境搭建的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0avn2n3.html" rel="bookmark">windows10配置tensorflow深度学习环境（GPU版）各种坑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们配置一个tensorflow-gpu版的深度学习环境 windows10 64 python3.5 vs2017(需要C++部分) cuda9.0 cudnn7.1 GeForce GTX1060 1.安装python 我们选择python3.5,直接从官网下载windows10版本的安装就行,可以选择默认安装路径,并添加环境变量. 测试打卡cmd,输入python,输出python的版本信息 则安装成功 2.安装vs2017 3.安装cuda 首先要确保你的电脑上装了一块差不多的显卡 我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qaP2D3.html" rel="bookmark">基于scikitlearn的深度学习环境安装&lpar;三&rpar;&lpar;完整版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OS Linux  Ubuntu14.04 安装 pip (python2.7.9或以上自带pip) sudo apt-get install python-pip pip是python环境下安装包的总的管理工具 相对于easy install使用更加的方便一些 尝试安装scikit-neuralnetwork  需要theano  scipy  numpy sudo  pip install scikit-neuralnetwork(出现错误  无法编译 先尝试下面一步) sudo apt-g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AQdNd4.html" rel="bookmark">学习Keras&colon;《Keras快速上手基于Python的深度学习实战》PDF代码&plus;mobi</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有一定Python和TensorFlow基础的人看应该很容易,各领域的应用,但比较广泛,不深刻,讲硬件的部分可以作为入门人的参考. &lt;Keras快速上手基于Python的深度学习实战&gt;系统地讲解了深度学习的基本知识.建模过程和应用,并以深度学习在推荐系统.图像识别.自然语言处理.文字生成和时间序列中的具体应用为案例,详细介绍了从工具准备.数据获取和处理到针对问题进行建模的整个过程和实践经验. &lt;Keras快速上手&gt;PDF,531页,带书签目录,彩色配图,文字可以复制. 配套源代码和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41gEOG0.html" rel="bookmark">（转） TensorFlow深度学习，一篇文章就够了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TensorFlow深度学习,一篇文章就够了 2016/09/22 · IT技术 · TensorFlow, 深度学习 分享到:6 原文出处: 我爱计算机 (@tobe迪豪 ) 作者: 陈迪豪,就职小米科技,深度学习工程师,TensorFlow代码提交者. TensorFlow深度学习框架 Google不仅是大数据和云计算的领导者,在机器学习和深度学习上也有很好的实践和积累,在2015年年底开源了内部使用的深度学习框架TensorFlow. 与Caffe.Theano.Torch.MXNet等框			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzX9jJ3.html" rel="bookmark">问题集录--TensorFlow深度学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TensorFlow深度学习框架 Google不仅是大数据和云计算的领导者,在机器学习和深度学习上也有很好的实践和积累,在2015年年底开源了内部使用的深度学习框架TensorFlow. 与Caffe.Theano.Torch.MXNet等框架相比,TensorFlow在Github上Fork数和Star数都是最多的,而且在图形分类.音频处理.推荐系统和自然语言处理等场景下都有丰富的应用.最近流行的Keras框架底层默认使用TensorFlow,著名的斯坦福CS231n课程使用TensorFlo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kr1LjM.html" rel="bookmark">推荐GitHub上10 个开源深度学习框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推荐GitHub上10 个开源深度学习框架 日前,Google 开源了 TensorFlow(GitHub),此举在深度学习领域影响巨大,因为 Google 在人工智能领域的研发成绩斐然,有着雄厚的人才储备,而且 Google 自己的 Gmail 和搜索引擎都在使用自行研发的深度学习工具. 无疑,来自 Google 军火库的 TensorFlow 必然是开源深度学习软件中的明星产品,登陆 GitHub 当天就成为最受关注的项目,当周获得评星数就轻松超过 1 万个. 对于希望在应用中整合深度学习功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AgnED0.html" rel="bookmark">基于ZStack构建深度学习云平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 深度学习是机器学习和人工智能研究的热门分支,也是当今最流行的科学研究趋势之一.深度学习方法为计算机视觉.机器学习带来了革命性的进步,而新的深度学习技术也正在不断诞生.由于深度学习正快速发展,新的研究者很难对这一技术实时跟进.国内各大公有云厂商都提供了相应的深度学习相关产品,但对于初学者并不那么实用.本文将介绍基于产品化云平台--ZStack,来构建对初学者友好.易运维.易使用的深度学习云平台. 由于ZStack的轻量性,我们仅通过一台普通PC机就能部署云平台,进而实现深度学习平台构建.读者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MB2nXYM.html" rel="bookmark">对比《Keras图像深度学习实战》PDF&plus;《深度学习技术图像处理入门》PDF代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将深度学习技术应用于图像处理,推荐阅读&lt;深度学习技术图像处理入门&gt;,基于理论讲解,由浅入深地引出若干个经典案例,讲解当前深度神经网络在图像处理领域的应用.提供了基于云GPU容器(Docker)的完整在线开发环境,方便初学者直接学习核心代码. &lt;深度学习技术图像处理入门&gt;以通俗易懂的语言简要讲解机器学习的核心概念,通过比较传统机器学习和深度神经网络的区别,引入深度神经网络的应用领域,将一个完整的深度神经网络的复杂结构拆成输入处理.模型元件以及模型优化三个子块,并详细说明如何将深度神经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/416OAYM.html" rel="bookmark">算法工程师耗尽心血终成TensorFlow深度学习应用实践，值得一学！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇总的指导思想是在掌握深度学习的基本知识和特性的基础上,培养使用TensorFlow进行实际编程以解决图像处理相关问题的能力.全篇力求深入浅出,通过通俗易懂的语言和详细的程序分析,介绍TensorFlow的基本用法.高级模型设计和对应的程序编写. 本篇强调理论联系实际,重点介绍TensorFlow编程解决图像识别的应用,提供了大量数据集,并以代码的形式实现了深度学习模型,以供读者参考. 本篇可作为学习人工神经网络.深度学习TensorFlow 程序设计以及图像处理等相关内容的程序设计人员学习.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDnqK3.html" rel="bookmark" class="title">wish选品的思路</a>
					<div>
						跨境电商卖家遇到的第一个问题应该就是选品了,无论是做亚马逊.速卖通.eBay.还是wish平台.我们首先要确定和考虑的就是我们卖什么样的产品合适.这里说说我自己的看法: 第一,自己所在的地方,城市有什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68Q8G3.html" rel="bookmark" class="title">定期更新&lpar;推荐机器学习博客&rpar;</a>
					<div>
						一.http://leftnoteasy.cnblogs.com/ 在该博客中,推荐以下专题 机器学习中的数学系列: 1) 回归(regression).梯度下降(gradient descent)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyQX7M.html" rel="bookmark" class="title">Git&lpar;1&rpar;：思想及概念</a>
					<div>
						Git与其他版本控制软件的差异及思想 直接记录快照,而非差异比较 Git不保存这些前后变化的差异数据.实际上,Git 更像是把变化的文件作快照后,记录在一个微型的文件系统中.每次提交更新时,它会纵览一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmloG14.html" rel="bookmark" class="title">Resin install document</a>
					<div>
						Centos6快速安装文档 resin3.1.13 #系统环境[[email protected] conf]# cat /etc/redhat-release CentOS release 6.4  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxRv90.html" rel="bookmark" class="title">万人迷&rdquo;微信小程序似乎开始掉粉 为什么呢？</a>
					<div>
						&quot;万人迷&quot;微信小程序最近似乎开始掉粉. 距离1月9日小程序上线已有一周,相比浓烈的讨论气氛,用户的使用热情逐步降低,而部分公司开始撤离小程序. 其中,逻辑思维旗下产品&quot;得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrq2Z4.html" rel="bookmark" class="title">版本控制地址</a>
					<div>
						1.个人项目: git:[email protected]:yinll314/CountOccurrenceOfWords.git ssh:https://git.coding.net/yinll31 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQEjP3.html" rel="bookmark" class="title">Mac下切换bash</a>
					<div>
						MAC下的终端是神器,安装ZSH后,突然间发现太不好操作了,即使再配上oh-my-zsh也感觉不爽. 然后想删除,自己尝试了下找不到命令删除,于是在网上找找,但是也没找到.最后直接进隐藏文件夹,直接一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qvL854.html" rel="bookmark" class="title">iOS应用架构谈 网络层设计方案</a>
					<div>
						iOS应用架构谈 开篇 iOS应用架构谈 view层的组织和调用方案 iOS应用架构谈 网络层设计方案 iOS应用架构谈 动态部署方案 iOS应用架构谈 本地持久化方案 前言 网络层在一个App中也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65zOW4.html" rel="bookmark" class="title">Hyperic-Sigar简介</a>
					<div>
						Hyperic-Sigar是一个收集系统各项底层信息的工具集.他有如下特点:1. 收集信息全面收集CPU,MEM,NETWORK,PROCESS,IOSTAT等使用Sigar,你完全可以模仿出cpui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPw1DP4.html" rel="bookmark" class="title">图片（画布上的图片）上传总结</a>
					<div>
						最近在做图片上传的一些东西,目前为止已经做的相对比较完善了,所以对图片上传做一些总结. 我最初的想法是把html5的标签canvas上的图片得到,上传到服务器上并能够及时预览. canvas上的图片分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr1A93.html" rel="bookmark" class="title">mysql查询中限制的表</a>
					<div>
						在mysql中,查询最多七张表 源码后续					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7Vq20.html" rel="bookmark" class="title">pure&period;css 学习记录</a>
					<div>
						兼容性记录: IE 8+ Latest Stable: Firefox, Chrome, Safari iOS 6-8 Android 4.x 处理兼容性 &lt;!--[if lte IE 8]&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEydW4.html" rel="bookmark" class="title">JSP基础知识&lowbar;2</a>
					<div>
						一.JSP模版元素  JSP页面中的静态HTML内容称之为JSP模版元素 二.JSP表达式(expression) 将一个java变量或表达式的计算结果输出到客户端的简化方式,它将要输出的变量或表达式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pN8k80.html" rel="bookmark" class="title">NSNotificationCenter 通知机制</a>
					<div>
						在cocoa透彻 框架中,观察者模式的具体应用有两个通知机制和kvo机制 1.通知机制  与委托机制不同的是,前者是“一对多”的对象 之间的通信,后者是“一对一”的对象之间的通信. 通知机制的可以1对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDjeb83.html" rel="bookmark" class="title">how tomcat works 读书笔记&lpar;二&rpar;----------一个简单的servlet容器</a>
					<div>
						app1 (建议读者在看本章之前,先看how tomcat works 读书笔记(一)----------一个简单的web服务器 http://blog.csdn.net/dlf123321/arti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkqAx3.html" rel="bookmark" class="title">列表显示功能的实现</a>
					<div>
						1.学生列表的实现: a.首先新建一个与表对应的实体类,(增删改查操作都需要) b.新建一个student_list.html网页,注意用前台框架easyui编写其中的网页. 首先需要在head中导包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KjwVyM.html" rel="bookmark" class="title">ios开发webview 的三种引用方式</a>
					<div>
						1最简单最基本的 NSURL *url = [NSURL URLWithString:@&quot;http://www.baidu.com&quot;]; NSURLRequest *request ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoLwE3.html" rel="bookmark" class="title">&lbrack;电影分享&rsqb;陈二狗的妖孽人生第一季--网剧</a>
					<div>
						剧情简介 讲述了以陈二狗为主的底层群体辗转于大城市之间热血逐梦的励志故事.聚焦小人物,释放大能量.该剧着力于四大家族命运交织的传奇人生,勾勒出一幅怀揣英雄主义理想的小人物众生相.此次烽火戏诸侯也亲自操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDkkp0.html" rel="bookmark" class="title">Linux Sendfile 的优势</a>
					<div>
						Sendfile 函数在两个文件描述符之间直接传递数据(完全在内核中操作,传送),从而避免了内核缓冲区数据和用户缓冲区数据之间的拷贝,操作效率很高,被称之为零拷贝. Sendfile 函数的定义如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDzyZ0.html" rel="bookmark" class="title">html 4 浮动 清除浮动</a>
					<div>
						前一个元素设置浮动了 紧挨着的元素就浮动在上个元素的下面 被上个元素给覆盖 要不想被覆盖 要清除浮动 clear:left  clear:right 左浮元素不覆盖   右边元素不覆盖 clear:b ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
